Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.value
Class PathNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.modeshape.jcr.value.PathNotFoundException

All Implemented Interfaces:
  Serializable

    @Immutable
    public class PathNotFoundException

extends RuntimeException

A runtime exception denoting that a node or property at a supplied `path` was not found. This exception does contain the lowest ancestor of the path that was found to exist.

See Also:
  Serialized Form

Constructor Summary
`PathNotFoundException(Location location, Path lowestAncestorThatDoesExist)`
`PathNotFoundException(Location location, Path lowestAncestorThatDoesExist, String message)`
`PathNotFoundException(Location location, Path lowestAncestorThatDoesExist, String message, Throwable cause)`
`PathNotFoundException(Location location, Path lowestAncestorThatDoesExist, Throwable cause)`

Method Summary
`Location` | `getLocation()` Get the path that was not found
`Path` | `getLowestAncestorThatDoesExist()` Get the lowest (closest) existing `ancestor` of the `non-existant location`.
`String` | `getMessage()`
`String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PathNotFoundException

    public PathNotFoundException(Location location,
                                 Path lowestAncestorThatDoesExist)

Parameters:
  `location` - the location of the node that does not exist
  `lowestAncestorThatDoesExist` - the path of the lowest (closest) ancestor that does exist

### PathNotFoundException

    public PathNotFoundException(Location location,
                                 Path lowestAncestorThatDoesExist,
                                 String message)

Parameters:
  `location` - the location of the node that does not exist
  `lowestAncestorThatDoesExist` - the path of the lowest (closest) ancestor that does exist
  `message` -

### PathNotFoundException

    public PathNotFoundException(Location location,
                                 Path lowestAncestorThatDoesExist,
                                 Throwable cause)

Parameters:
  `location` - the location of the node that does not exist
  `lowestAncestorThatDoesExist` - the path of the lowest (closest) ancestor that does exist
  `cause` -

### PathNotFoundException

    public PathNotFoundException(Location location,
                                 Path lowestAncestorThatDoesExist,
                                 String message,
                                 Throwable cause)

Parameters:
  `location` - the location of the node that does not exist
  `lowestAncestorThatDoesExist` - the path of the lowest (closest) ancestor that does exist
  `message` -
  `cause` -

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Throwable`

### getMessage

    public String getMessage()

  Overrides:
    `getMessage` in class `Throwable`

### getLocation

    public Location getLocation()

  Get the path that was not found

  Returns:
    the path that was not found

### getLowestAncestorThatDoesExist

    public Path getLowestAncestorThatDoesExist()

  Get the lowest (closest) existing `ancestor` of the `non-existant location`.

  Returns:
    the lowest ancestor that does exist

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.